Services
List Services
List all configured services and their current state.
GET
/
v1
/
sprites
/
{name}
/
services
List Services
curl --request GET \
--url https://api.sprites.dev/v1/sprites/{name}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sprites.dev/v1/sprites/{name}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sprites.dev/v1/sprites/{name}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"args": [
"-D",
"/var/lib/postgresql/data"
],
"cmd": "postgres",
"http_port": null,
"name": "postgres",
"needs": [],
"state": {
"name": "postgres",
"pid": 1234,
"started_at": "2026-01-05T08:00:00Z",
"status": "running"
}
},
{
"args": [
"-m",
"http.server",
"8000"
],
"cmd": "python",
"http_port": 8000,
"name": "webapp",
"needs": [
"postgres"
],
"state": {
"name": "webapp",
"pid": 1567,
"started_at": "2026-01-05T08:01:00Z",
"status": "running"
}
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Command arguments
Command to execute
Service name
Service dependencies
HTTP port for proxy routing
Current runtime state
Show child attributes
Show child attributes
Example:
{
"name": "webapp",
"pid": 1567,
"started_at": "2026-01-05T08:01:00Z",
"status": "running"
}
⌘I
List Services
